#import "@local/handout:0.1.0": *

= Warm-Up

#problem("The Flower Garden")
In a certain flower garden, each flower was either red, yellow,
or blue, and all three colors were represented. A statistician
once visited the garden and made the observation that whatever three flowers you picked, at least one of them was bound
to be red.

#v(2mm)

A second statistician visited the garden and made
the observation that whatever three flowers you picked, at
least one was bound to be yellow.

#v(2mm)

Two logic students heard about this and got into an argument. \
The first student said: "It therefore follows that whatever three flowers you pick, at least one is bound to be blue,
doesn't it?" The second student said: "Of course not!"
Which student was right, and why?

#solution[
  The first student was right, and here is why. From the
  first statistician's report it follows that there cannot be more than one yellow flower, because if there were two yellows, you could pick two yellows and one blue, thus having a group of three flowers that contained no red. This is contrary to the report that every group of three is bound to contain at least one red flower. Therefore there cannot be more than one yellow flower.

  #v(2mm)

  Similarly, there cannot be more than one blue flower, because if there were two blues, you could pick two blue flowers and one yellow and again have a group of three that contained no red. And so from the first statistician's report it follows that there is at most one yellow flower and one blue.

  #v(2mm)

  And it follows from the report of the second statistician that
  there is at most one red flower, for if there were two reds,
  you could pick two reds and one blue, thus obtaining a group
  of three that contained no yellow. It also follows from the
  second report that there cannot be more than one blue,
  although we have already deduced this from the first report.

  #v(2mm)

  The upshot of all this is that there are only three flowers
  in the entire garden---one red, one yellow, and one blue! And
  so it is of course true that whatever three flowers you pick,
  one of them must be blue.
]

#v(1fr)
#pagebreak()


#problem("What Question")
There is a question I could ask you that has a definite correct
answer---either yes or no---but it is logically impossible for
you to give the correct answer. You might know what the
correct answer is, but you cannot give it. Anybody other than
you might possibly be able to give the correct answer, but
you cannot!

Can you figure out what question I could have in mind?

#solution[
  Suppose I ask you: "Is no your answer to this question?"
  If you answer yes, then you are affirming that no is your answer to the question,
  which is of course wrong. If you answer
  no, then you are denying that no is your answer, although no
  was your answer.

  #v(2mm)

  It is therefore impossible for you to answer
  the question correctly even though the question does have a
  correct answer: Either you answer no or you don't. If you do,
  then yes is the correct answer; if you don't, then no is the
  correct answer, but in neither case can you give the correct
  answer.
]

#v(1fr)

#problem("Which Way Would You Bet?")
Choose your favorite baseball team and consider the scores it will make next
season. \
Which do you bet will be the larger number---the sum
of these scores or the product of these scores?

#solution[
  The chances are that the sum will be the larger number,
  because your team will probably score at least one zero, and
  one zero makes the entire product zero.
]

#v(1fr)

#generic("Aside:")
Speaking of probability and statistics, there is the story of
a statistician who told a friend that he never took airplanes: "I
have computed the probability that there will be a bomb on
the plane," he explained, "and although this probability is low,
it is still too high for my comfort."

#v(2mm)

Two weeks later, the friend
met the statistician on a plane. "How come you changed your
theory?" he asked. "Oh, I didn't change my theory; it's just
that I subsequently computed the probability that there would
simultaneously be two bombs on a plane. This probability is
low enough for my comfort. \
So now I simply carry my own bomb."
