#import "@local/handout:0.1.0": *

= Gods, Demons, and Mortals

#generic("Setup:")
One night, Inspector Craig had a curious dream.
He had been browsing that day in a library specializing in rare
books on mythology, another of his many interests. His head
was filled with gods and demons, and so his dream was perhaps not so surprising.

#v(2mm)

Time sometimes passes in unusual ways in the course of a
dream. Craig dreamed that he spent nine days in a region in
which dwelled gods, demons, and mortals.

#v(2mm)

The gods, of course, always told the truth, and the demons always lied. As to the mortals, half were knights and half were knaves. As usual, the knights told the truth and the knaves lied.

#problem("The First Day")
Craig dreamed that on the first day he met a dweller of the
region who looked as if he might be a god, though Craig could
not be sure. The dweller evidently guessed Craig's thoughts,
smiled, and made a statement to reassure him. From this state-
ment, Craig knew that he was in the presence of a god.

#v(2mm)

Can you supply such a statement?

#solution[
  One statement that works is: "I am not a knight."

  #v(2mm)

  If the speaker were a knave or a demon, then it would be true that he was not a knight, but knaves and demons don't make true statements.

  #v(2mm)

  Therefore the speaker was neither a knave nor a
  demon, hence he was a knight or a god and his statement was
  true.

  #v(2mm)

  Since it was true, then he really is not a knight; hence he must be a god.
]

#v(1fr)


#problem("The Second Day")
In this episode of the dream, Craig met a terrifying being who had every appearance of being a demon.

"What sort of being are you?" asked Craig, in some alarm.

The being answered, and Craig then realized that he was confronting not a demon, but a knave. \
What could the being have answered?

#solution[
  A statement that works is: "I am a demon." Obviously
  no demon can claim he is a demon, so the speaker is not a
  demon. Therefore his statement was false and since he is not
  a demon, he must be a knave.
]

#v(1fr)
#pagebreak()


#problem("The Third Day")
In this episode, Craig met a totally nondescript-looking being
who from appearances could have been anything at all. The
being then made a statement from which Craig could deduce
that he was either a god or a demon, but Craig could not tell
which.
Can you supply such a statement?

#solution[
  This is a bit more tricky: A statement that works is: "I
  am either a god or a knave." That could be said by a god,
  since a god is either a god or a knave; it could also be falsely said by a demon.

  #v(2mm)

  It couldn't be said by a knight, because a knight would never lie and claim that he is either a god or a knave, and it couldn't be said by a knave, because a knave would never admit to the true fact that he is either a god or
  a knave.

  #v(2mm)

  And so the speaker must be either a god or a demon,
  but there is no way to tell which.
]

#v(1fr)


#problem("The Fourth Day")
Craig next met a being who made the following two statements:
- A god once claimed that I am a demon.
- No knight has ever claimed that I am a knave.
What sort of being was he?


#solution[
  The speaker's first statement was obviously false, for if
  it were true, a god would have once claimed that the speaker
  was a demon, which would mean that the speaker really was
  a demon, but no one who tells the truth can be a demon. Since
  the first statement was false, so was the second statement, since it was made by the same speaker. Therefore a knight did once claim that the speaker was a knave, hence the speaker really
  is a knave.
]

#v(1fr)


#problem("The Fifth Day")
A being made the following two statements to Craig:
- I never claim to be a knave.
- I sometimes claim that I am a demon.
What sort of being are we now dealing with?

#solution[
  The speaker's second statement was obviously a lie, because no truth-teller would ever say that he sometimes claims
  to be a demon.

  #v(2mm)

  Therefore the first statement was also a lie,
  hence the speaker does sometimes claim to be a knave, hence
  he must be a demon.
]

#v(1fr)
#pagebreak()


#problem("The Sixth Day")
In this episode, Craig came across two beings, each of whom
made a statement. \
Craig could then infer that at least one of
them must be a god, but he could not tell which one. \
From neither statement alone could Craig have deduced this. \
What statements could the beings have made?

#solution[
  Many solutions are possible; here is one.

  #v(2mm)

  Let us call the two beings A and B. \
  Now, suppose A and B make the following two statements:
  - A: B is a knight.
  - B: A is not a knight.

  A is either telling the truth or lying.

  #v(2mm)

  *Case 1: A is telling the truth.* \
  Then B really is a knight,
  hence his statement is true, hence A is not a knight, therefore A must be a god, since he is telling the truth.

  #v(2mm)


  *Case 2: A is lying.* \
  Then B is not a knight, since A says he is. Also, since A is lying, then A is certainly not a knight, hence B's statement is true. Therefore B is telling the truth, but is not a knight, hence B is a god.

  #v(2mm)

  So if Case 1 is true, A is a god; if Case 2 is true, then B is a god. \
  There is no way to tell whether A is telling the truth or lying.
]

#v(1fr)

#problem("The Seventh Day")
On the next day, Craig again met two beings each of whom
made a statement. Craig could then infer that one of them was
a knave and the other a demon, though he could not tell which
was which. Again, from neither statement alone could Craig
have inferred this. Can you supply two such statements?

#solution[
  Again, let us call the two beings A and B. \
  The following statements would work:
  - A: Both of us are knaves.
  - B: Both of us are demons.
  It is obvious that both are lying. Since A is lying, they are
  not both knaves. Since B is lying, they are not both demons.
  Therefore one is a knave and one is a demon, but there is no
  way to tell which one is which.
]

#v(1fr)


#problem("Introducing Thor")
On the eighth day, Craig met a being who had every ap-
pearance of being the god Thor. The being made a statement,
and Craig then knew he must be Thor.
What statement could Thor have made?

#solution[
  A statement that works is: "I am either a knave or a demon
  or the god Thor."

  #v(2mm)

  If the speaker were either a knave or a demon, then it would
  be true that he is either a knave or a demon or the god Thor.

  #v(2mm)

  This would mean that a knave or a demon made a true statement, which is not possible. Therefore the speaker is neither a knave nor a demon, hence his statement is true.

  #v(2mm)

  Hence he must be the god Thor.
]

#v(1fr)
#pagebreak()

#problem("A Perplexity Resolved")
Craig and Thor became fast friends. In fact, on the evening of
the ninth day, Thor gave a magnificent banquet in Craig's
honor. "I propose a toast to our illustrious guest!" said Thor,
as he raised his glass of nectar.

#v(2mm)

After a round of cheers, Craig was asked to speak.
"I am very perplexed!" said Craig as he rose. "I wonder
if this may not all be a dream!"
"Why do you think you may be dreaming?" asked Thor.
"Because," said Craig, "two incidents have occurred today
that seem totally inexplicable. This morning I met someone
who made a statement which no knight, knave, god, or demon
could possibly make. Then this afternoon I met someone else
who also made a statement which no dweller of this region
could possibly make. That is why I suspect that I may be
dreaming. "

#v(2mm)

"Oh!" said Thor. "Be reassured; you are not dreaming.
The two incidents have a perfectly rational explanation. You
see, we have had two visitors here from another realm. Both
of them are mortal. One is Cyrus, who always tells the truth,
although he is not called a knight since he is not from this
region. The other is Alexander, who sometimes tells the truth
and sometimes lies. It must have been those two whom you
met today. What statements did they make?"

#v(2mm)

Craig then told the company what each had said.
"That explains it perfectly!" said Thor. "Moreover, it follows from their having said what they did that Cyrus was the
one you met in the morning. And interestingly enough, if you
hadn't met Alexander in the afternoon, you could never have
known whether the one you met in the morning was Cyrus
or Alexander."

#v(2mm)

Craig thought the matter over and realized that Thor was right. \
What statements could these two outsiders have made which fulfill all of the above conditions?

#solution[
  Here is one possible solution:
  - morning speaker: "I am neither a knight nor a god."
  - afternoon speaker: "I am either a knave or a demon."

  No inhabitant of the region could make either of those
  statements. No knight or god could claim that he is neither a
  knight nor a god; no knave or demon could make the true
  statement that he is neither a knight nor a god.

  #v(2mm)

  As for the second statement, obviously no knight or god would claim to be either a knave or a demon and no knave or demon would admit to being a knave or a demon. Therefore both were outsiders; namely, Cyrus and Alexander.

  #v(2mm)


  The statement of the morning speaker was true and the statement of the afternoon speaker was false. Since Cyrus never makes false statements, he couldn't have been the afternoon speaker. Thus he was the morning speaker.
]

#v(1fr)
#pagebreak()

#problem("A Philosophical Puzzle")
The next morning, Craig was wide awake and recalling
his dream. He wondered whether he had been logically inconsistent in his sleep. "The trouble is this," thought Craig: "In my dream I believed that Thor was a god and that gods always tell the truth. Yet Thor told me that I wasn't dreaming. Now how could Thor, who tells the truth, say that I wasn't dreaming when in fact I was? Wasn't this an inconsistency on my part?"

#v(2mm)

Would you say that Craig's dream was logically inconsistent?

#solution[
  As I see it, Craig's dream was not necessarily inconsistent. If Craig had actually believed in the dream that he was dreaming, then the set of his beliefs during his dream would have been inconsistent, since the following propositions are indeed logically contradictory:
  - Thor is a god
  - Gods make only true statements
  - Thor stated that Craig was not dreaming;
  - Craig was dreaming.

  #v(2mm)

  The contradiction is obvious. However, there is no evidence that Craig at any time of his dream believed that he was dreaming, although at one point he wondered whether he might be dreaming. Craig presumably believed that he was awake, and this belief, though false, was perfectly consistent with the other beliefs of his dream.

  #v(2mm)

  Curiously enough, if Craig had formulated the belief that he was dreaming, then this belief, though correct, would have created a logical inconsistency!
]
